<?php

// Default values
isset( $id ) or $id = '';
isset( $link ) or $link = '';
isset( $is_activated ) or $is_activated = false;
isset( $title ) or $title = '';
isset( $content ) or $content = '';
isset( $mobile_content ) or $mobile_content = '';
isset( $background_color ) or $background_color = '';
isset( $font_color ) or $font_color = '';
isset( $placement ) or $placement = 'top';
isset( $content_max_width ) or $content_max_width = '';
isset( $text_alignment ) or $text_alignment = 'center';
isset( $font_size ) or $font_size = '';
isset( $font_size_mobile ) or $font_size_mobile = '';
// Images directory
$images_dir = plugin_dir_url( BULLETINWP__FILE__ ) . 'admin/images';
// Button label
$button_status = ( empty($id) ? 'publish' : 'edit' );
$default_label = ( empty($id) ? __( 'Publish Bulletin', BULLETINWP_PLUGIN_SLUG ) : __( 'Save Bulletin', BULLETINWP_PLUGIN_SLUG ) );
$loading_label = ( empty($id) ? __( 'Publishing...', BULLETINWP_PLUGIN_SLUG ) : __( 'Saving...', BULLETINWP_PLUGIN_SLUG ) );
?>

<div class="mb-8">
  <div class="mb-4">
    <label class="heading mb-0 mr-2" for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-title' ;
?>"><?php 
_e( 'Title', BULLETINWP_PLUGIN_SLUG );
?></label>
    <span class="text-xs"><?php 
_e( '(only visible for you)', BULLETINWP_PLUGIN_SLUG );
?></span>
  </div>

  <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-title' ;
?>"
    class="w-full"
    type="text"
    name="bulletinTitle"
    value="<?php 
echo  $title ;
?>"
    placeholder="<?php 
_e( 'Add title', BULLETINWP_PLUGIN_SLUG );
?>"
  />
</div>

<div class="content">
  <div class="left-content">
    <div class="box-container p-4 md:p-8 mb-4 md:mb-16">

      <!-- MESSAGE -->
      <div class="heading mb-2"><?php 
_e( 'Message', BULLETINWP_PLUGIN_SLUG );
?></div>
      <div class="flex flex-wrap -mx-4 mb-2">
        <div class="form-field form-field-text w-full lg:w-1/2 mb-4 lg:mb-0 px-4 is-required">
          <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-content' ;
?>"><?php 
_e( 'Tablet and up', BULLETINWP_PLUGIN_SLUG );
?></label>
          <textarea id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-content' ;
?>"
                    class="form-input w-full"
                    type="text"
                    name="content"
                    placeholder=""
          ><?php 
echo  $content ;
?></textarea>
        </div>

        <div class="form-field form-field-text w-full lg:w-1/2 mb-4 lg:mb-0 px-4">
          <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-mobile-content' ;
?>"><?php 
_e( 'Mobile only', BULLETINWP_PLUGIN_SLUG );
?></label>
          <textarea id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-mobile-content' ;
?>"
                    class="form-input w-full"
                    type="text"
                    name="mobileContent"
                    placeholder=""
          ><?php 
echo  $mobile_content ;
?></textarea>

          <div class="text-right modal-button-wrapper relative" data-overlay=".modal-overlay" data-id-modal="#support-markdown-modal">
            <a class="modal-button cursor-pointer"><?php 
_e( 'supports markdown, emojis & links', BULLETINWP_PLUGIN_SLUG );
?></a>

            <div id="support-markdown-modal" class="modal opacity-0 pointer-events-none relative">
              <div class="modal-overlay tooltip-overlay"></div>

              <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-support-markdown box-container">
                <div class="line-indicator"></div>

                <div class="flex my-4 border-b-2">
                  <div class="w-1/2 px-4">
                    <div class="heading"><?php 
_e( 'Enter this', BULLETINWP_PLUGIN_SLUG );
?></div>
                  </div>
                  <div class="w-1/2 px-4">
                    <div class="heading"><?php 
_e( 'To see this', BULLETINWP_PLUGIN_SLUG );
?></div>
                  </div>
                </div>

                <div class="flex my-4">
                  <div class="w-1/2 px-4">
                    <p class="font-couriernew"><?php 
_e( '**This is bold**', BULLETINWP_PLUGIN_SLUG );
?></p>
                  </div>
                  <div class="w-1/2 px-4">
                    <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-markdown-items font-bold"><?php 
_e( '**This is bold**', BULLETINWP_PLUGIN_SLUG );
?></div>
                  </div>
                </div>

                <div class="flex my-4">
                  <div class="w-1/2 px-4">
                    <p class="font-couriernew"><?php 
_e( '*This is italic*', BULLETINWP_PLUGIN_SLUG );
?></p>
                  </div>
                  <div class="w-1/2 px-4">
                    <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-markdown-items"><?php 
_e( '*This is italic*', BULLETINWP_PLUGIN_SLUG );
?></div>
                  </div>
                </div>

                <div class="flex my-4">
                  <div class="w-1/2 px-4">
                    <p class="font-couriernew"><?php 
_e( '[link text](https://google.com)', BULLETINWP_PLUGIN_SLUG );
?></p>
                  </div>
                  <div class="w-1/2 px-4">
                    <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-markdown-items"><?php 
_e( '[link text](https://google.com)', BULLETINWP_PLUGIN_SLUG );
?></div>
                  </div>
                </div>

                <div class="flex my-4">
                  <div class="w-1/2 px-4">
                    <p class="font-couriernew"><?php 
echo  htmlspecialchars( '<a href="https://google.com" target="_blank">link text (open in new tab)</a>' ) ;
?></p>
                  </div>
                  <div class="w-1/2 px-4">
                    <div><p><?php 
echo  '<a href="https://google.com" target="_blank">link text (open in new tab)</a>' ;
?></p></div>
                  </div>
                </div>

                <div class="flex my-4">
                  <div class="w-1/2 px-4">
                    <p class="font-couriernew"><?php 
_e( 'paste codes `with backticks`', BULLETINWP_PLUGIN_SLUG );
?></p>
                  </div>
                  <div class="w-1/2 px-4">
                    <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-markdown-items"><?php 
_e( 'paste codes `with backticks`', BULLETINWP_PLUGIN_SLUG );
?></div>
                  </div>
                </div>

                <div class="flex my-4">
                  <div class="w-1/2 px-4">
                    <p class="font-couriernew"><?php 
_e( ':grin:', BULLETINWP_PLUGIN_SLUG );
?></p>
                    <div class="text-left">
                      <a href="https://gist.github.com/rxaviers/7360908" target="_blank"><?php 
_e( 'view full list of emoji commands', BULLETINWP_PLUGIN_SLUG );
?></a>
                    </div>
                  </div>
                  <div class="w-1/2 px-4">
                    <img src="<?php 
echo  $images_dir . '/sample-emoji.svg' ;
?>" alt="logo-text">
                  </div>
                </div>

              </div>
            </div>
          </div>

        </div>
      </div>

      <!-- COLORS -->
      <div class="heading mb-2"><?php 
_e( 'Colors', BULLETINWP_PLUGIN_SLUG );
?></div>
      <div class="flex flex-col md:flex-row mb-8">
        <div class="form-field form-field-color-picker flex flex-col mr-0 md:mr-4 mb-4 md:mb-0 is-required">
          <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-background-color' ;
?>"><?php 
_e( 'Background color', BULLETINWP_PLUGIN_SLUG );
?></label>
          <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-background-color' ;
?>"
                 class="form-input color-picker-input"
                 type="text"
                 name="backgroundColor"
                 value="<?php 
echo  $background_color ;
?>"
                 placeholder=""
                 data-default-color=""
          />
        </div>

        <div class="form-field form-field-color-picker flex flex-col is-required">
          <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-font-color' ;
?>"><?php 
_e( 'Font color', BULLETINWP_PLUGIN_SLUG );
?></label>
          <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-font-color' ;
?>"
                 class="form-input color-picker-input"
                 type="text"
                 name="fontColor"
                 value="<?php 
echo  $font_color ;
?>"
                 placeholder=""
                 data-default-color=""
          />
        </div>
      </div>

      <!-- DISPLAY TYPE -->
      <div class="heading mb-2"><?php 
_e( 'Display type', BULLETINWP_PLUGIN_SLUG );
?></div>
      <div class="mb-8">
        <div class="radio-group-wrapper flex">
          <div class="mr-4">
            <label class="radio-wrapper tooltip-wrapper">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-placement-top' ;
?>"
                     type="radio"
                     name="placement"
                     value="top"
                     data-show-elements="#<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-display-type-header-note-element' ;
?>"
                     <?php 
checked( $placement === 'top' );
?>
              />
              <span class="thumb"></span>
              <span class="border-b border-dashed border-blue-100"><?php 
_e( 'Header banner', BULLETINWP_PLUGIN_SLUG );
?></span>

              <div class="tooltip">
                <img src="<?php 
echo  $images_dir . '/tooltips/tooltip-header.png' ;
?>" alt="">
              </div>
            </label>
          </div>

          <div class="mr-4">
            <label class="radio-wrapper tooltip-wrapper">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-placement-float-bottom' ;
?>"
                     type="radio"
                     name="placement"
                     value="float-bottom"
                     data-show-elements=""
                     <?php 
checked( $placement === 'float-bottom' );
?>
              />
              <span class="thumb"></span>
              <span class="border-b border-dashed border-blue-100"><?php 
_e( 'Floating at bottom', BULLETINWP_PLUGIN_SLUG );
?></span>

              <div class="tooltip">
                <img src="<?php 
echo  $images_dir . '/tooltips/tooltip-floating.png' ;
?>" alt="">
              </div>
            </label>
          </div>

          <div class="mr-4">
            <label class="radio-wrapper tooltip-wrapper">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-placement-sticky-footer' ;
?>"
                     type="radio"
                     name="placement"
                     value="sticky-footer"
                     data-show-elements=""
                     <?php 
checked( $placement === 'sticky-footer' );
?>
              />
              <span class="thumb"></span>
              <span class="border-b border-dashed border-blue-100"><?php 
_e( 'Sticky footer', BULLETINWP_PLUGIN_SLUG );
?></span>

              <div class="tooltip">
                <img src="<?php 
echo  $images_dir . '/tooltips/tooltip-fixed-footer.png' ;
?>" alt="">
              </div>
            </label>
          </div>

          <div>
            <label class="radio-wrapper tooltip-wrapper <?php 
echo  ( !bulletinwp_fs()->is__premium_only() ? 'cursor-not-allowed' : '' ) ;
?>">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-placement-corner' ;
?>"
                     type="radio"
                     name="placement"
                     value="<?php 
echo  ( bulletinwp_fs()->is__premium_only() ? 'corner' : '' ) ;
?>"
                     data-show-elements="<?php 
echo  ( bulletinwp_fs()->is__premium_only() ? '#' . BULLETINWP_PLUGIN_SLUG . '-display-corner-option' : '' ) ;
?>, <?php 
echo  ( bulletinwp_fs()->is__premium_only() ? '#' . BULLETINWP_PLUGIN_SLUG . '-placement-corner-note' : '' ) ;
?>"
                     data-hide-elements="<?php 
echo  ( bulletinwp_fs()->is__premium_only() ? '#' . BULLETINWP_PLUGIN_SLUG . '-text-alignment' : '' ) ;
?>, <?php 
echo  ( bulletinwp_fs()->is__premium_only() ? '#' . BULLETINWP_PLUGIN_SLUG . '-default-placement-note' : '' ) ;
?>"
                     <?php 
checked( $placement === 'corner' );
?>
                     <?php 
echo  ( !bulletinwp_fs()->is__premium_only() ? 'disabled' : '' ) ;
?>
              />
              <span class="thumb"></span>
              <span class="border-b border-dashed border-blue-100"><?php 
_e( 'Corner', BULLETINWP_PLUGIN_SLUG );
?></span>
              <?php 
?>
                <span class="text-xs font-bold text-orange-100"><?php 
_e( '[PRO]', BULLETINWP_PLUGIN_SLUG );
?></span>
              <?php 
?>

              <div class="tooltip">
                <img src="<?php 
echo  $images_dir . '/tooltips/tooltip-corner.png' ;
?>" alt="">
              </div>
            </label>
          </div>
        </div>
        <div id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-display-type-header-note-element' ;
?>"
             class="mt-4"
             style="display: <?php 
echo  ( $placement === 'top' ? 'block' : 'none' ) ;
?>"
        >
          <?php 
_e( 'NOTE:', BULLETINWP_PLUGIN_SLUG );
?>&nbsp;<?php 
_e( 'if this site uses a fixed header, ', BULLETINWP_PLUGIN_SLUG );
?>
          <a href="<?php 
echo  add_query_arg( [
    'page' => BULLETINWP_PLUGIN_SLUG . '-options-settings',
], 'admin.php' ) ;
?>" class="text-orange-100"><?php 
_e( 'please add the html tag in settings', BULLETINWP_PLUGIN_SLUG );
?></a>
        </div>

        <?php 
?>
      </div>

      <!-- CONTENT MAX-WIDTH -->
      <div class="mb-2">
        <div id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-default-placement-note' ;
?>"
          style="display: <?php 
echo  ( $placement !== 'corner' ? 'block' : 'none' ) ;
?>">
          <span class="heading mr-2"><?php 
_e( 'Content max-width', BULLETINWP_PLUGIN_SLUG );
?></span>
          <span class="text-xs"><?php 
_e( '(in px, leave blank for 100% width)', BULLETINWP_PLUGIN_SLUG );
?></span>
        </div>
        <?php 
?>
      </div>
      <div class="mb-8">
        <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-content-max-width' ;
?>"
        type="number"
        name="contentMaxWidth"
        value="<?php 
echo  $content_max_width ;
?>"
        placeholder=""
        />
      </div>

      <div id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-text-alignment' ;
?>"
        style="display: <?php 
echo  ( $placement === 'corner' ? 'none' : 'block' ) ;
?>">
        <!-- TEXT ALIGNMENT -->
        <div class="heading mb-4"><?php 
_e( 'Text alignment', BULLETINWP_PLUGIN_SLUG );
?></div>
        <div class="flex mb-8">
          <div class="mr-4">
            <label class="radio-wrapper">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-text-alignment-center' ;
?>"
              type="radio"
              name="textAlignment"
              value="center"
              <?php 
checked( $text_alignment === 'center' );
?>
              />
              <span class="thumb"></span>
              <span><?php 
_e( 'Center', BULLETINWP_PLUGIN_SLUG );
?></span>
            </label>
          </div>

          <div class="mr-4">
            <label class="radio-wrapper">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-text-alignment-left' ;
?>"
              type="radio"
              name="textAlignment"
              value="left"
              <?php 
checked( $text_alignment === 'left' );
?>
              />
              <span class="thumb"></span>
              <span><?php 
_e( 'Left', BULLETINWP_PLUGIN_SLUG );
?></span>
            </label>
          </div>

          <div>
            <label class="radio-wrapper">
              <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-text-alignment-right' ;
?>"
              type="radio"
              name="textAlignment"
              value="right"
              <?php 
checked( $text_alignment === 'right' );
?>
              />
              <span class="thumb"></span>
              <span><?php 
_e( 'Right', BULLETINWP_PLUGIN_SLUG );
?></span>
            </label>
          </div>
        </div>
      </div>

      <!-- Font Size -->
      <div class="mb-2">
        <span class="heading mr-2"> <?php 
_e( 'Font Size', BULLETINWP_PLUGIN_SLUG );
?> </span>
        <span class="text-xs"><?php 
_e( '(in px, leave blank for default font-size)', BULLETINWP_PLUGIN_SLUG );
?></span>
      </div>
      <div class="flex flex-wrap -mx-4 mb-2">
        <div class="w-full lg:w-auto mb-4 lg:mb-0 px-4">
          <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-font-size' ;
?>"><?php 
_e( 'Desktop', BULLETINWP_PLUGIN_SLUG );
?></label>
          <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-font-size' ;
?>"
                 class="w-full"
                 type="number"
                 name="fontSize"
                 value="<?php 
echo  $font_size ;
?>"
                 placeholder="16"
          />
        </div>

        <div class="w-full lg:w-auto mb-4 lg:mb-0 px-4">
          <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-mobile-font-size' ;
?>"><?php 
_e( 'Mobile', BULLETINWP_PLUGIN_SLUG );
?></label>
          <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-mobile-font-size' ;
?>"
                 class="w-full"
                 type="number"
                 name="fontSizeMobile"
                 value="<?php 
echo  $font_size_mobile ;
?>"
                 placeholder="16"
          />
        </div>
      </div>

    </div>

    <?php 
?>
      <?php 
include_once BULLETINWP_PLUGIN_PATH . 'admin/views/common/upgrade-panel.php';
?>
    <?php 
?>
  </div>
  <div class="right-content">
    <div class="box-container py-8 px-4">
        <!-- Preview -->
        <a href="<?php 
echo  $link ;
?>"
           class="btn view-button mb-8"
           target="_blank"
           style="display: <?php 
echo  ( !empty($link) ? 'inline-flex' : 'none' ) ;
?>; width: 80%;"
        >
          <?php 
echo  ( $is_activated ? __( 'View', BULLETINWP_PLUGIN_SLUG ) : __( 'Preview', BULLETINWP_PLUGIN_SLUG ) ) ;
?>
          <img src="<?php 
echo  $images_dir . '/angle.svg' ;
?>" alt="">
        </a>

        <!-- Active Switch -->
        <div class="mb-8">
          <div class="checkbox-wrapper toggle-switch"
               data-checked-label="<?php 
_e( 'Active', BULLETINWP_PLUGIN_SLUG );
?>"
               data-unchecked-label="<?php 
_e( 'Inactive', BULLETINWP_PLUGIN_SLUG );
?>"
          >
            <input type="checkbox" name="isActivated" <?php 
checked( $is_activated );
?> />
            <span class="label active-switch-label"><?php 
echo  ( $is_activated ? __( 'Active', BULLETINWP_PLUGIN_SLUG ) : __( 'Inactive', BULLETINWP_PLUGIN_SLUG ) ) ;
?></span>
          </div>
        </div>

        <!-- Submit -->
        <button class="btn-fill text-lg"
                type="submit"
                data-button-status="<?php 
echo  $button_status ;
?>"
                data-default-label="<?php 
echo  $default_label ;
?>"
                data-loading-label="<?php 
echo  $loading_label ;
?>"
        >
          <?php 
echo  $default_label ;
?>
        </button>
        <div class="form-message mt-8" style="display: none;"></div>
    </div>

      <!-- Right panel content -->
      <?php 
include_once BULLETINWP_PLUGIN_PATH . 'admin/views/common/right-panel.php';
?>

  </div>
</div>
