<?php
$content_arr = [
  [
    'icon'    => 'knowledge',
    'link'    => 'https://www.bulletin.rocks/docs/installation/',
    'content' => __( 'View plugin docs & FAQs', BULLETINWP_PLUGIN_SLUG ),
  ],
  [
    'icon'    => 'growth-bars',
    'link'    => 'https://bulletin.rocks/roadmap',
    'content' => __( 'Suggest a feature and see our development roadmap', BULLETINWP_PLUGIN_SLUG ),
  ],
  [
    'icon'    => 'influencer-star',
    'link'    => 'https://wordpress.org/support/plugin/bulletin-announcements/reviews/?filter=5#postform',
    'content' => __( 'Like this plugin? Please give us a 5 star review!', BULLETINWP_PLUGIN_SLUG ),
  ],
];

// Images directory
$images_dir = BULLETINWP_PLUGIN_PATH . 'admin/images/';
$whats_new_json_file = 'https://www.bulletin.rocks/whats-new.json';
$json = file_get_contents( $whats_new_json_file );
$json_data = json_decode( $json, true );
?>

<div class="right-content-panel-wrapper">
  <p class="text-base font-bold mb-5"><?php _e( 'Explore more from Bulletin', BULLETINWP_PLUGIN_SLUG ) ?></p>

  <?php foreach ( $content_arr as $key => $content ) : ?>
    <?php
    $icon_file_path =  $images_dir . $content['icon'] . '.svg';
    $icon_content   = '';

    if ( file_exists( $icon_file_path ) ) {
      $icon_content = file_get_contents( $icon_file_path );
    }
    ?>

    <a href="<?php echo $content['link']; ?>" target="_blank" class="btn-text">
      <div class="flex flex-row mb-8 items-center">
        <div class="mr-4">
          <?php echo $icon_content; ?>
        </div>

        <div>
          <p class="text-base font-medium"><?php echo $content['content']; ?></p>
        </div>
      </div>
    </a>

  <?php endforeach; ?>

  <?php if ( ! empty( $json_data ) ) : ?>
    <?php if ( ! empty( $json_data['whats_new'] ) || $json_data['whats_new'] === null ) : ?>
      <?php foreach ( $json_data['whats_new'] as $data ) : ?>
        <div class="news-content">
          <div class="title font-bold"> <?php echo $data['Title'] ?> </div>
          <div class="description"> <?php echo $data['Description'] ?> </div>
        </div>
      <?php endforeach; ?>
    <?php endif; ?>
  <?php endif; ?>
</div>
