<?php

global  $wp_roles ;
$bulletin_background_color_default = BULLETINWP::instance()->sql->get_option( 'bulletin_background_color_default' );
$bulletin_font_color_default = BULLETINWP::instance()->sql->get_option( 'bulletin_font_color_default' );
$site_has_fixed_header = BULLETINWP::instance()->sql->get_option( 'site_has_fixed_header' );
$fixed_header_selector = BULLETINWP::instance()->sql->get_option( 'fixed_header_selector' );
?>

<div id="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-admin">
  <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-admin-settings wrap">
    <h1 class="wp-heading-inline"><?php 
_e( 'Settings', BULLETINWP_PLUGIN_SLUG );
?></h1>
    <hr class="wp-header-end">

    <div class="<?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-admin-common-layout <?php 
echo  BULLETINWP_PLUGIN_SLUG ;
?>-admin-settings">
      <form class="settings-form" method="post">
        <div class="common-layout-wrapper settings">
          <div class="content">
            <div class="left-content">
              <div class="box-container p-8 mb-16">
                <!-- Default color settings -->
                <div class="heading mb-3"><?php 
_e( 'Default color settings', BULLETINWP_PLUGIN_SLUG );
?></div>
                <label class="mb-3"><?php 
_e( 'Setting these will apply as the default colors to all bulletins you publish', BULLETINWP_PLUGIN_SLUG );
?></label>

                <div class="flex mb-8">
                  <div class="flex flex-col mr-4">
                    <label class="mb-1" for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-background-color' ;
?>"><?php 
_e( 'Background color', BULLETINWP_PLUGIN_SLUG );
?></label>
                    <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-background-color' ;
?>"
                    class="color-picker-input"
                    type="text"
                    name="bulletinBackgroundColorDefault"
                    value="<?php 
echo  $bulletin_background_color_default ;
?>"
                    placeholder=""
                    data-default-color=""
                    />
                  </div>

                  <div class="flex flex-col">
                    <label class="mb-1" for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-font-color' ;
?>"><?php 
_e( 'Font color', BULLETINWP_PLUGIN_SLUG );
?></label>
                    <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-font-color' ;
?>"
                           class="color-picker-input"
                           type="text"
                           name="bulletinFontColorDefault"
                           value="<?php 
echo  $bulletin_font_color_default ;
?>"
                           placeholder=""
                           data-default-color=""
                    />
                  </div>
                </div>

                <!-- Fixed header -->
                <div class="heading mb-3"><?php 
_e( 'Fixed header (beta)', BULLETINWP_PLUGIN_SLUG );
?></div>

                <div class="mb-6">
                  <label class="mb-3"><?php 
_e( 'My site has a fixed header', BULLETINWP_PLUGIN_SLUG );
?></label>

                  <div class="checkbox-wrapper toggle-switch"
                       data-checked-label="<?php 
_e( 'Yes', BULLETINWP_PLUGIN_SLUG );
?>"
                       data-unchecked-label="<?php 
_e( 'No', BULLETINWP_PLUGIN_SLUG );
?>"
                       data-hide-show-elements="#<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-fixed-header-elements' ;
?>"
                  >
                    <input type="checkbox" name="siteHasFixedHeader" <?php 
checked( $site_has_fixed_header );
?> />
                    <span class="label"><?php 
echo  ( $site_has_fixed_header ? __( 'Yes', BULLETINWP_PLUGIN_SLUG ) : __( 'No', BULLETINWP_PLUGIN_SLUG ) ) ;
?></span>
                  </div>

                  <div id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-fixed-header-elements' ;
?>"
                       class="mt-4"
                       style="display: <?php 
echo  ( $site_has_fixed_header ? 'block' : 'none' ) ;
?>;"
                  >
                    <div class="form-field mb-4 is-required">
                      <label for="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-header-selector' ;
?>"><?php 
_e( 'Header selector', BULLETINWP_PLUGIN_SLUG );
?></label>
                      <input id="<?php 
echo  BULLETINWP_PLUGIN_SLUG . '-header-selector' ;
?>"
                        class="w-full form-input"
                        type="text"
                        name="fixedHeaderSelector"
                        value="<?php 
echo  $fixed_header_selector ;
?>"
                        placeholder="header.header"
                      />
                    </div>
                  </div>
                </div>
                <?php 
?>
              </div>

              <?php 
?>
                <?php 
include_once BULLETINWP_PLUGIN_PATH . 'admin/views/common/upgrade-panel.php';
?>
              <?php 
?>
            </div>
            <div class="right-content">
              <div class="box-container py-8 px-4">
                <button class="btn-fill text-lg"
                        type="submit"
                        data-default-label="<?php 
_e( 'Save', BULLETINWP_PLUGIN_SLUG );
?>"
                        data-loading-label="<?php 
_e( 'Saving...', BULLETINWP_PLUGIN_SLUG );
?>"
                >
                  <?php 
_e( 'Save', BULLETINWP_PLUGIN_SLUG );
?>
                </button>
                <div class="form-message mt-8" style="display: none;"></div>
              </div>

              <!-- Right panel content -->
              <?php 
include_once BULLETINWP_PLUGIN_PATH . 'admin/views/common/right-panel.php';
?>

            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
